Bug 87843 - text-strings in CALC limited to 255 characters per cell
Summary: text-strings in CALC limited to 255 characters per cell
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.1.4.2 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-29 22:06 UTC by maik
Modified: 2021-09-19 03:45 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample file with a text larger than 256 characters. (9.67 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2014-12-30 00:23 UTC, m.a.riosv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description maik 2014-12-29 22:06:50 UTC
When I copy text into a cell in CALC, the txt will be cut after 255 characters. More characters per cell would be desirable.
Comment 1 m.a.riosv 2014-12-30 00:23:37 UTC
Created attachment 111498 [details]
Sample file with  a text larger than 256 characters.

Thanks for reporting.

Please can you link or attach a text to reproduce the issue. As it can be seen in attached file not such limitation.
Comment 2 maik 2014-12-31 10:45:09 UTC
bug occurs only, when I copy cells from excel to LO. then LO makes a cut at 255 characters. did not have the problem, when copy from writer or internet.
Comment 3 QA Administrators 2015-07-18 17:35:13 UTC Comment hidden (obsolete)
Comment 4 m.a.riosv 2015-08-23 23:45:12 UTC
Please @maik, is the issue solved?
Comment 5 viviana 2016-01-13 14:00:02 UTC
(In reply to m.a.riosv from comment #4)
> Please @maik, is the issue solved?

Hi @m.a.riosv! I'm not maik, but I've exactly the same problem:
when I copy&paste FROM Microsoft Excel TO Calc, the text will be cut after 255 characters.

The same text will be pasted if it's from Notepad++

Tested on LibreOffice Vers. 4.4.7.2

What about the bug state? Must I change in "REOPENED"?

(I'm not so experienced, it's my first time :-])
Comment 6 m.a.riosv 2016-01-13 15:12:05 UTC
(In reply to viviana from comment #5)
> (I'm not so experienced, it's my first time :-])
Of course do it.

I have not excel to test, but please add your excel and windows version.

Here you can find the QA page:
https://wiki.documentfoundation.org/QA/GetInvolved
and the QA mailing list, where to present yourself when you feel it's fine and send your questions about QA matters:
http://nabble.documentfoundation.org/QA-f3613148.html
Comment 7 viviana 2016-01-19 15:31:49 UTC
I've done, thank you :)

My Excel version: Excel 2010
My O.S. version: Windows 7 Professional
Comment 8 Buovjaga 2016-10-21 17:09:59 UTC
Let's correct status to NEW.

viviana: is the problem still present in 5.2.2?
Comment 9 Urmas 2016-10-23 04:10:02 UTC
Yes, I can reproduce that with LO 5.3 and Excel 97.

It is interesting that Excel herself can copy long texts within a workbook, but not between its instances.

I can see the full text in Biff8 Clipboard data, but they are not recognized either by LO or Excel.
Comment 10 QA Administrators 2017-10-24 06:59:32 UTC Comment hidden (obsolete)
Comment 11 Jonathan 2019-09-19 15:56:58 UTC
Same problem. When copying from Excel to CALC, only 255 characters are pasted. 

Libre Office v6.3.1.2
Microsoft Office 2016
Comment 12 QA Administrators 2021-09-19 03:45:28 UTC
Dear maik,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug